conve:
  entity_embedder:
    dropout: -0.4457199978380867
    regularize_weight: 8.605027799155396e-15
  feature_map_dropout: 0.48769345636955713
  projection_dropout: 0.5
  relation_embedder:
    dropout: 0.11757230155305998
    regularize_weight: 2.231687936571624e-14
  round_dim: true
dataset:
  name: fb15k-237
eval:
  batch_size: 256
  metrics_per:
    relation_type: true
  trace_level: example
import:
- conve
- reciprocal_relations_model
lookup_embedder:
  dim: 256
  initialize: xavier_normal_
  initialize_args:
    normal_:
      mean: 0.0
      std: 2.568825067721716e-05
    uniform_:
      a: -0.43447215763614
    xavier_normal_:
      gain: 1.0
    xavier_uniform_:
      gain: 1.0
  regularize_args:
    p: 3
    weighted: true
model: reciprocal_relations_model
negative_sampling:
  implementation: batch
  num_samples:
    p: -1
reciprocal_relations_model:
  base_model:
    entity_embedder:
      dim: 288
    relation_embedder:
      dim: 288
train:
  auto_correct: true
  batch_size: 1024
  loss_arg: 1.0
  lr_scheduler: ReduceLROnPlateau
  lr_scheduler_args:
    factor: 0.95
    mode: max
    patience: 9
    threshold: 0.0001
  max_epochs: 400
  optimizer_args:
    lr: 0.004276645525573683
  type: 1vsAll
valid:
  early_stopping:
    min_threshold:
      epochs: 50
      metric_value: 0.05
    patience: 10

